classification
Title: Demo/scripts/newslist.py has non-free licensing terms
Type: Stage: resolved
Components: Demos and Tools Versions: Python 2.7
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: Nosy List: barry, benjamin.peterson, bkabrda, doko, georg.brandl, matejcik, merwok, ncoghlan, python-dev, terry.reedy
Priority: normal Keywords:

Created on 2011-09-15 17:06 by matejcik, last changed 2014-12-02 23:45 by python-dev. This issue is now closed.

Messages (9)
msg144088 - (view) Author: jan matejek (matejcik) * Date: 2011-09-15 17:06
from Demo/scripts/newslist.py :

# Feel free to copy, distribute and modify this code for
# non-commercial use. If you make any useful modifications, let me
# know!
#
# (c) Quentin Stafford-Fraser 1994
# fraser@europarc.xerox.com                     qs101@cl.cam.ac.uk


this is not very nice for commercial distros - we have to drop the file (for now anyway)

i'm not sure what the "right" solution for upstream is - you might want to remove the file, ask Quentin to relicense it, or just acknowledge its existence and keep it
msg144199 - (view) Author: Éric Araujo (merwok) * (Python committer) Date: 2011-09-17 15:49
It’s a problem for free software distribution, regardless of the commercial status, like the profiler used to be.  The Demo directory is gone in 3.2 and higher; I’m not sure any effort to fix this in 2.7 is worth it.
msg144209 - (view) Author: Georg Brandl (georg.brandl) * (Python committer) Date: 2011-09-17 16:55
The only resonable fix to make would be removal from the distribution.
msg144274 - (view) Author: Éric Araujo (merwok) * (Python committer) Date: 2011-09-19 13:51
I don’t see any problem with removing it from the 2.7 branch.
msg231965 - (view) Author: Terry J. Reedy (terry.reedy) * (Python committer) Date: 2014-12-01 23:19
The windows installer does not install the demo directory.  *nix distributions do what they want.  I think it too late to change the 2.7 repository.
msg231986 - (view) Author: Matthias Klose (doko) * (Python committer) Date: 2014-12-02 11:05
thanks for bringing this up. I don't agree that the non-availability in the windows build should be used to close the issue.  Linux distros distribute the source, and are still affected? If it's already removed in Python3, why not remove it here as well?

Anyway, I can repackage the sources for Debian/Ubuntu
msg231991 - (view) Author: Nick Coghlan (ncoghlan) * (Python committer) Date: 2014-12-02 12:46
Given that it's only the demo directory (and a relatively obscure demo as well these days), I'm inclined to just fix it upstream rather than making the distros patch it.

There's also the fact that we distribute the source tarballs from python.org as well, and assert that those are under the PSF license, which this script doesn't adhere to.
msg232053 - (view) Author: Terry J. Reedy (terry.reedy) * (Python committer) Date: 2014-12-02 21:49
If we are going to backport the removal from the distribution of Demo/scripts/newslist.py to 2.7, it might as well be done immediately, before 2.7.9 goes out.  Benjamin?

I am more concerned about separately licensed stdlib modules, such as turtle* (and others).  Do they all properly 'fall under the PSF license'?  Has this been systematically checked (and recorded)?  Is there a policy in place with respect to new modules?

* G.Lingl said in email he would sign he contributor agreement in August, but none is recorded yet.
msg232062 - (view) Author: Roundup Robot (python-dev) Date: 2014-12-02 23:45
New changeset 54af09408795 by Benjamin Peterson in branch '2.7':
nuke ancient script with dubious license (closes #12987)
https://hg.python.org/cpython/rev/54af09408795
History
Date User Action Args
2014-12-02 23:45:52python-devsetstatus: open -> closed

nosy: + python-dev
messages: + msg232062

resolution: fixed
stage: resolved
2014-12-02 21:49:02terry.reedysetnosy: + benjamin.peterson
messages: + msg232053
2014-12-02 12:46:46ncoghlansetnosy: + bkabrda
messages: + msg231991

resolution: wont fix -> (no value)
stage: resolved -> (no value)
2014-12-02 11:05:11dokosetstatus: closed -> open
nosy: + ncoghlan
messages: + msg231986

2014-12-01 23:31:09merwoksetnosy: + barry, doko
2014-12-01 23:19:33terry.reedysetstatus: open -> closed

nosy: + terry.reedy
messages: + msg231965

resolution: wont fix
stage: resolved
2011-09-19 13:51:24merwoksetmessages: + msg144274
2011-09-17 16:55:44georg.brandlsetnosy: + georg.brandl
messages: + msg144209
2011-09-17 15:49:25merwoksetnosy: + merwok

messages: + msg144199
title: Demo/scripts/newslist.py has non-commercial license clause -> Demo/scripts/newslist.py has non-free licensing terms
2011-09-15 17:06:15matejcikcreate